Welcome to the new monday developer community
-
Recently active
My app feature was working, it’s from quickstart-integrations example, but today i have trouble to access the link. I don’t understand exact problem. Log output with redacted url [12:36:20.650] INFO: [console]2024/12/13 11:34:22 [error] 36#36: *40 FastCGI sent in stderr: "Primary script unknown" while reading response header from upstream, client: 169.254.169.126, server: , request: "GET /health HTTP/1.1", upstream: "fastcgi://unix:/layers/google.php.webconfig/webconfig/app.sock:", host: "latest---service-█-uk.a.run.app" Could you someone guide me please? Thank you
I’ve been reading the docs about the monday-code-sdk and have a few questions… Segregation of storage & secure storage In Storage, data: is segregated according to the accountId and app, so data stored by one account is inaccessible by other accounts to provide an additional layer of security. So far, so good. This all seems quite reasonable. And in monday terminology, an account is the instance of monday, or tenant, easily identified by a unique origin e.g. https://myexampleaccount.monday.com In Secure Storage: The secureStorage method stores sensitive customer data for monday-code projects. The data is stored securely and logically segregated, meaning it is stored in smaller categories on the same device to easily grant or block access. It is segregated for your specific app, so data stored by one app is inaccessible by other apps to provide an additional layer of security. 👉 Question 1. The sentence below seems a bit vague. Could this be expanded upon in the document
Hello, I’m looking for some advice on whether it’s possible to connect a google sheet (that gets updated every hour) to a monday board. My google sheet has columns that update every hour but the first column that contain the name of an item always remains the same. Essentially what I’m looking to do is have some Monday columns also update either hourly or once a day for the relevant item which will match the item name in google sheets. When a new line is created in the google sheet then that would also be created into my Monday board and then the update would kick in. TIA Alex
Hello, Short story: I’ve created a new board template and I’m having trouble creating a new board with that template via the API. Using the template ID shown in the template center, the create_board mutation throws a “CreateBoardException” with status code 400. Long story: Long ago, I created some board templates and have been using them since without issue. These old board templates are located in a workspace with non-template boards (in addition to the template center) and have a 9 digit ID number like any other board, only with a wand icon. I am able to create a new board using the create_board mutation and this ID. Editing the template from the template center takes me directly to the template board in its workspace, and the template retains its original template ID. Now, when I create a new board template it’s moved out of its workspace and into the template center. This new template has an 8 digit template ID in the template center. This is the ID that throws the “CreateBoardExce
Hello all! There are bits and pieces of documentation that relate to this topic, but none that explicitly show how to use this mutation from Python (that I’ve been able to find). Basically, I’d like the query set up so that I have dynamic variables for both file (the image being uploaded) and item_id (the Item to which the image is uploaded to). Does anyone have an example script showing how this is done? Here is what I’ve tried so far: import requests import json import os import pandas as pd from pprint import pp apiKey = os.getenv("MONDAY_API_TOKEN") apiUrl = "https://api.monday.com/v2" headers = {"Authorization" : apiKey} url = "https://api.monday.com/v2/file" payload = {'query': 'mutation add_file($file: File!, $item: ID!) {add_file_to_column (item_id: $item, column_id:"files__1" file: $file) { id } }'} variables = { 'file': open('/path/to/my/file.svg', 'rb'), 'item_id': '6530743418' } payload['variables'] = variables response = requests.post(url, headers=headers, data=pa
Can someone give me a demo app integrated with java application monday
I tried to setup the example code of gitub-monday-code and I am looks like something is missing and It does work it doesn’t event hit my deployment at monday I know it allot to ask but will appreciate if could some one take a look. this app install on thatI tied it on this boardshvilams-team-group.monday.com
Hi, For debugging and support reasons, I came across a need to check specific account’s recipe values. Let’s say I wrote an app with a sentence builder feature, which has a recipe. A user installs the app and configure his/her recipe place holders with relevant values. I would like to get the configuration of this specific install (i.e. the specific values he/she configured). Is this something that exists and I wasn’t aware of? If not, would be very helpful for all of us app builders. Thanks!
Hi, I am trying to make a custom automation with the phrase “When status changes create an item in board” I want to make the “item” in the phrase an item column values field in order to be able to dynamically map fields between the new item in the other board and the current board. How can i have an item column values field in the recipe which takes the columns from another board ? I have tried with with a custom entity as described Dynamic mapping The problem is that the form I am getting this way looks different than the default form. Thanks for your suggestions.
Thanks to some great help here, I can get all the data in my board with the following query… query { boards (ids: [123456789]) { items_page (limit: 50) { cursor items { id name column_values { id text value column { id type title settings_str } } } } } } The data that comes back look like this… { "data": { "boards": [ { "items_page": { "cursor": "some-long-string-of-chars", "items": [ { "id": "987654321", "name": "Company name", "column_values": [ { "id": "subitems__1", "text": null, "value": "{}", "column": { "id": "subitems__1", "type": "subtasks",
We are thrilled to announce the launch of Formula PRO, the ultimate solution to bring advanced calculations and automations to your formula columns, subitems and mirror columns like a PRO! Formula PRO revolutionises how teams work in monday.com by combining advanced formula calculations with automation capabilities. Say goodbye to manual updates and embrace true workflow automation. Key Automation Capabilities Save hours of manual work by automating column updates. Automate data consistency across columns like status, numbers, text, timeline or even item names. Instantly update connected columns with formula results whenever values change. Scenario: Automatically calculate project costs and update budget columns. Example recipe: When column changes, execute formula and project the result to column Real-Time Formula Column Integration Turn formula columns results into triggers for automated actions. Extend their power to multiple columns and processes. Scenario: Use a formula column to
Hi dear community, I’m excited to announce a powerful new feature in the Kanbanify app: “Exporting your Multiple Board Kanban views to PDF.” Tired of manually copying and pasting data? Want to share a concise overview of your work with colleagues, executives or clients outside of monday.com? Kanbanify’s new PDF export feature gives you complete control: Filter & Sort: Export only the relevant information. Customize: Hide columns, choose which data to include in item cards, and create a report that perfectly suits your needs. Share Easily: Effortlessly share professional reports with anyone, anytime. Enhance your workflows, improve communication, and gain valuable insights with Kanbanify’s PDF export feature. Try it now! [Link to Kanbanify App in the Monday.com Marketplace] Regards, Julia
Is there any way to set an item default value in specific board by sending api call?
I’m trying to do some basic JWT validation on board views/item views etc. I have a board view at say: https://xxxx.example.app/my-board-view When the board view is displayed, it has a sessionToken request parameter (actually a JWT token) passed through to it from monday: https://xxxx.example.app/my-board-view?sessionToken={sessionToken} …which I should be able to validate against the “Signing secret” from “Basic information” here (for my app): https://myinstance.monday.com/apps/manage/:app_id/app_versions/:app_version/sections/appDetails I have this as MONDAY_SIGNING_SECRET in my javascript server side code. So basic validation should look something like this: import jwt from 'jsonwebtoken'; ... const sessionToken = new URLSearchParams(location.search).get('sessionToken') || null; if (!sessionToken) { // throw error(401, 'No token found.'); } try { const payload = await jwt.verify(sessionToken, MONDAY_SIGNING_SECRET); // all good, continue // now add all the logic here..
I’m trying to fix a feature in monday.com that was created by someone who previously worked on this project. I see that I can download a zip file but I’m struggling to find how to properly unzip the file so that I can then work on the feature locally. Can someone point me to the correct documentation or help me with some steps on how I might be able to work on this feature?
Hi, Item mapping is a trigger output of “When a Status Changes to Something” in the built-in trigger. However, I do not received this itemMapping payload. Any suggestions Why? link of the documentation : https://apps.developer.monday.com/docs/monday-trigger-blocks
Hello Monday team, I am currently building custom views (a dashboard widget and a board view) where I fetch board items using monday.api on the client side. The implementation works perfectly for users with a member role, allowing me to fetch board items without any issues. However, for users with a viewer role, I encounter a GraphQL unauthorized error when querying board items, even though they can view the items on the board itself. Could you please help me understand why this error occurs for viewer role users and provide guidance on resolving the issue? Looking forward to your assistance!
Is it possible to use an ItemsQuery to only select items based on group membership? I know I can have a board query and use groups(ids:) to return only certain groups, but I’m looking to do this at the item level.
Our timesheet/time tracking app- TimeRely is live on monday.com marketplace. TimeRely allows you to efficiently track time spent on monday tasks, projects (monday boards), and generate detailed reports. With Timerely, you can ensure accurate billing, improve productivity, and gain insights into your team’s time management—all within your monday.com workspace. Submit timesheet against tasks assigned in a mondayboard Team configuration + Approval/Rejection workflow Project, Resource based reporting with exports Install the app here -TimeRely - monday.com App Marketplace We are certified partners of monday.com We also build a separate time tracking specifically for your organization based on your customised workflow Demo (5 minutes) - https://www.youtube.com/watch?v=QEFiUPK2NbM Book a call for free consultation
Since 11:00 UTC+0, all API queries have been failing with a 500 “Internal Server Error”. These queries were working fine before. Everything appears normal on https://status.monday.com/. Do you have any idea what might be causing this?
We are happy to let you know of some new improvements we added to SuperMail. Here are our new features: 1- SuperMail Dialog - the way to manage your inbox from monday.com 2- SuperMail Tracking - the way to monitor your emails in monday.com board 3- Change status in the board directly from the email! - the way to approve tasks directly from your email
Hi, I use the following code to update doc blocks using the SDK: monday.execute('updateDocBlock', variables) where variables is of course an object with ID and content. According to the docs (monday.execute) it should return a promise and should be awaited. However when I await it, the update is sent, but the promise is never resolved. The execution get stuck in the function, so to make it work, the function cannot be awaited. It looks to me like a bug.
Dear Developers, We’re thrilled to invite you to the Partner Summit 2025, set to take place in Amsterdam on February 25th-27th. We promise an exciting agenda filled with insightful sessions, networking opportunities, and a chance to connect with fellow leaders and innovators, and of course - the marketplace developers community! The Details Location: Amsterdam, Netherlands Dates: Practice Leads Afternoon - Tuesday, February 25th All Partners - Wednesday, February 26th Developer track - Thursday, February 27th. Tickets & Travel Registration and venue announcement will be available in the upcoming weeks. Each developer will receive a set number of complimentary registrations based on their tier. Additional registrations will be available for €100 each. Platinum developers - five complimentary registrations Gold developers - three complimentary registrations Silver developers - two complimentary registrations Authorized & Bronze developers - one complimentary registration Non-t
I provided the appropriate scopes, tried both through a personal token and through the oauth2. I pass the API version in the headers API-Version 2024-10 mutation {create_custom_activity (color: SLATE_BLUE, icon_id: TRIPOD, name: “Emails”) {id}} { “errors”: [ { “message”: “Field ‘create_custom_activity’ doesn’t exist on type ‘Mutation’”, “locations”: [ { “line”: 1, “column”: 11 } ], “path”: [ “mutation”, “create_custom_activity” ], “extensions”: { “code”: “undefinedField”, “typeName”: “Mutation”, “fieldName”: “create_custom_activity” } } ], “account_id”: 26709801 }
Seasoned developer, but complete newbie to both monday.com and graphql, so please forgive me for what is probably a dumb question. Also, this is probably more a graphql question than monday, but I’ve searched around, and none of the graphql code snippets that I’ve found work, so asking here in the hope that someone can help me. I want to be able to get hold of all the items in a board. I found some code that does part of the job… SyntaxEditor Code Snippet {“query”: “{ boards(ids: [00000000]) { items_page(limit: 100) { cursor items { id name column_values { id text value column { id type title settings_str } } } } } }”} This returns 100 items in JSON format, which I can parse. However, I’m stuck trying to order the results, and trying to get the rest of the data. The results of the above query start like this… { "data": { "boards": [ { "items_page": { "cursor": "abc", "items": [ { "id": "123456789", "name":
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.